MPCHK(3)

SYNOPSIS
SUBROUTINE MPCHK (I, J)

NAME
mpchk - Subsidiary to DQDOTA and DQDOTI

LIBRARY
SLATEC

TYPE
ALL (MPCHK-A)

AUTHOR
(UNKNOWN)

DESCRIPTION
Checks legality of B, T, M, MXR and LUN which should be set in COMMON. The condition on MXR (the dimension of the EP arrays) is that MXR .GE. (I*T + J)

SEE ALSO
DQDOTA, DQDOTI, MPBLAS

ROUTINES CALLED
I1MACH, MPERR

COMMON BLOCKS
MPCOM

REVISION HISTORY (YYMMDD)
791001 DATE WRITTEN ?????? Modified for use with BLAS. Blank COMMON changed to named COMMON. R given dimension 12.
891009 Removed unreferenced statement label. (WRB)
891009 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)
930124 Increased Array size in MPCON for SUN -r8. (RWC)